Skip to main content
POST
/
customers
Initialize customer
curl --request POST \
  --url https://api.example.com/customers \
  --header 'Content-Type: application/json' \
  --data '
{
  "parentPolicyId": "<string>",
  "brokerageFirmId": "<string>"
}
'
{
  "type": "<string>",
  "id": "<string>",
  "initializedWith": {
    "policy": "<string>",
    "branch": "<string>"
  }
}

Query Parameters

whenAt
string

Optional: the whenAt datetime

productId
string
required

The productId

Body

application/json
parentPolicyId
string

Policy id of the parent collective policy if current policy is a child of it

brokerageFirmId
string

Brokerage firm id to associate with the customer (used in anonymous funnels)

Response

type
string
required

Type of the customer

id
string
required

Unique identifier for the customer

initializedWith
object
required

Policy and branch id created with the customer